--- net/base/host_resolver_proc.cc
+++ net/base/host_resolver_proc.cc
@@ -14,8 +14,9 @@
 #elif defined(OS_POSIX)
 #include <netdb.h>
 #include <sys/socket.h>
+#include <netinet/in.h>
 #endif
-#if defined(OS_LINUX)
+#if defined(OS_NIX)
 #include <resolv.h>
 #endif
 
@@ -24,7 +25,7 @@
 #include "net/base/address_list.h"
 #include "net/base/net_errors.h"
 
-#if defined(OS_LINUX)
+#if defined(OS_NIX)
 #include "base/singleton.h"
 #include "base/thread_local_storage.h"
 #endif
@@ -63,7 +64,7 @@ int HostResolverProc::ResolveUsingPrevious(const std::string& host,
   return SystemHostResolverProc(host, address_family, addrlist);
 }
 
-#if defined(OS_LINUX)
+#if defined(OS_NIX)
 // On Linux changes to /etc/resolv.conf can go unnoticed thus resulting in
 // DNS queries failing either because nameservers are unknown on startup
 // or because nameserver info has changed as a result of e.g. connecting to
@@ -125,7 +126,7 @@ class DnsReloadTimer {
 // static
 ThreadLocalStorage::Slot DnsReloadTimer::tls_index_(base::LINKER_INITIALIZED);
 
-#endif  // defined(OS_LINUX)
+#endif  // defined(OS_NIX)
 
 int SystemHostResolverProc(const std::string& host,
                            AddressFamily address_family,
@@ -201,7 +202,7 @@ int SystemHostResolverProc(const std::string& host,
   // Keep the variables alive so compiler can't optimize away.
   CHECK(actual_size > 0 && buffer[saved_size - 1] == '\0');
 
-#if defined(OS_LINUX)
+#if defined(OS_NIX)
   net::DnsReloadTimer* dns_timer = Singleton<net::DnsReloadTimer>::get();
   // If we fail, re-initialise the resolver just in case there have been any
   // changes to /etc/resolv.conf and retry. See http://crbug.com/11380 for info.
diff --git net/base/listen_socket.cc net/base/listen_socket.cc
index fd099b7..b453f05 100644
